
package de.ivu.elect.dokumente.stimmzettel;

import de.ivu.elect.wus.exchange.stimmzettel.AbstractStimmzettelZipExportMapper;

import javax.inject.Inject;

public class DefaultStimmzettelByWahlvorschlaegeAlsListeDokumentGeneratorDocumentMapperZipExportMapper extends AbstractStimmzettelZipExportMapper {

  public static final String FILE_FORMAT_NAME = "file.format.stimmzettel.default.wahlvorschlaege.als.liste.dokument";

  @Inject
  private transient DefaultStimmzettelByWahlvorschlaegeAlsListeDokumentGeneratorDocumentMapperExportMapper defaultStimmzettelByWahlvorschlaegeAlsListeDokumentGeneratorDocumentMapperExportMapper;

  public DefaultStimmzettelByWahlvorschlaegeAlsListeDokumentGeneratorDocumentMapperZipExportMapper() {
    super();
  }

  @Override
  protected String getFileFormatName() {
    return FILE_FORMAT_NAME;
  }

  @Override
  protected DefaultStimmzettelByWahlvorschlaegeAlsListeDokumentGeneratorDocumentMapperExportMapper getSimpleExportMapper() {
    return defaultStimmzettelByWahlvorschlaegeAlsListeDokumentGeneratorDocumentMapperExportMapper;
  }
}
